<?php

namespace App\Http\Controllers;

use App\Http\Requests\StoreOwnedRequest;
use App\Http\Requests\UpdateOwnedRequest;
use App\Models\Owned;

class OwnedController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('admin.owned.index');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.owned.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @return \Illuminate\Http\Response
     */
    public function store(StoreOwnedRequest $request)
    {
        Owned::store($request->validated());

        return redirect()->route('admin.owned.index')->with('success', 'Fanlisting added!');
    }

    /**
     * Manage the specified resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function manage(Owned $owned)
    {
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function edit(Owned $owned)
    {
    }

    /**
     * Update the specified resource in storage.
     *
     * @return \Illuminate\Http\Response
     */
    public function update(UpdateOwnedRequest $request, Owned $owned)
    {
    }

    /**
     * Remove the specified resource from storage.
     *
     * @return \Illuminate\Http\Response
     */
    public function destroy(Owned $owned)
    {
    }
}
